Subject: Re: Apology/Bug report: git-send-email sends everything on Ctrl+C

From: Michael J Gruber <[email-masked]>
Date: Wed, 26 May 2010 10:40:08 +0200

Sam Vilain venit, vidit, dixit 26.05.2010 08:50:
> Sam Vilain wrote:
>> Expect a mail storm shortly, sorry folks.
>>   
> 
> I just had a look at patching git-send-email.perl; but it looks like it
> is checking $? correctly at least since beece9da;
> 
>             system('sh', '-c', $editor.' "$@"', $editor, $_);
>             if (($? & 127) || ($? >> 8)) {
>                 die("the editor exited uncleanly, aborting everything");
>             }
> 
> I think I must have actually hit Ctrl-Z, not Ctrl-C.  So, it's all my
> fault and I apologize profusely.
> 
> Sam

I don't want to make you feel even worse, but could you tell us what
mistake you made so that we can avoid it? Wrong base rev for
format-patch baserev.. and piping directly into send-email?

Michael